{ config, pkgs, ... }:

{
  programs.hyprland = {
    enable = true;
    xwayland.enable = true;
  };

  # Configure display manager
  services.greetd = {
    enable = true;
    settings = {
      default_session = {
        command = "${pkgs.greetd.tuigreet}/bin/tuigreet --remember --time --cmd Hyprland";
        user = "xeovalyte";
      };
    };
  };

  # Configure networking
  networking.networkmanager.enable = true;
  networking.wireless.iwd.enable = true;
}
